package com.steering.pss.judge.model;

/**
 * 数据库表QCM_ZC_CHEM_RESULT所对应的实体类（生成工具：代码生成器3.0）
 * @author DESKTOP-1M51SAA   date 2018-12-26
 */
@SuppressWarnings("serial")
public class QcmZcChemColresultEntity implements java.io.Serializable {
    /**
     * 综合判定记录ID
     */
    private String judgeId = "";
    /**
     * 二层表序号
     */
    private String detailSeq = "";
    /**
     * 成分结果序号
     */
    private String resultSeq = "";
    /**
     * 化学元素名称
     */
    private String chemName = "";
    /**
     * 化学元素值
     */
    private String chemValue = "";
    /**
     * 内控下限
     */
    private String nkMin = "";
    /**
     * 内控上限
     */
    private String nkMax = "";
    /**
     * 内控是否合格 （1合格 0不合格 2没报出 3未判）
     */
    private String nkQualified = "";
    /**
     * 交付下限
     */
    private String jfMin = "";
    /**
     * 交付上限
     */
    private String jfMax = "";
    /**
     * 交付是否合格（1合格 0不合格 2没报出 3未判）
     */
    private String jfQualified = "";
    /**
     * 化学元素顺序号
     */
    private String chemSeq = "";
    /**
     * 不合格类型（0无   1下限不合格   2上限不合格）
     */
    private String unqualifiedType = "";
    

	/**
     * 综合判定记录ID
     * @return value
     */
    public String getJudgeId() {
        return judgeId;
    }

    /**
     * 综合判定记录ID
     * @param judgeId value
     */
    public void setJudgeId(String judgeId) {
        this.judgeId = judgeId;
    }

    /**
     * 二层表序号
     * @return value
     */
    public String getDetailSeq() {
        return detailSeq;
    }

    /**
     * 二层表序号
     * @param detailSeq value
     */
    public void setDetailSeq(String detailSeq) {
        this.detailSeq = detailSeq;
    }

    /**
     * 成分结果序号
     * @return value
     */
    public String getResultSeq() {
        return resultSeq;
    }

    /**
     * 成分结果序号
     * @param resultSeq value
     */
    public void setResultSeq(String resultSeq) {
        this.resultSeq = resultSeq;
    }

    /**
     * 化学元素名称
     * @return value
     */
    public String getChemName() {
        return chemName;
    }

    /**
     * 化学元素名称
     * @param chemName value
     */
    public void setChemName(String chemName) {
        this.chemName = chemName;
    }

    /**
     * 化学元素值
     * @return value
     */
    public String getChemValue() {
        return chemValue;
    }

    /**
     * 化学元素值
     * @param chemValue value
     */
    public void setChemValue(String chemValue) {
        this.chemValue = chemValue;
    }

    /**
     * 内控下限
     * @return value
     */
    public String getNkMin() {
        return nkMin;
    }

    /**
     * 内控下限
     * @param nkMin value
     */
    public void setNkMin(String nkMin) {
        this.nkMin = nkMin;
    }

    /**
     * 内控上限
     * @return value
     */
    public String getNkMax() {
        return nkMax;
    }

    /**
     * 内控上限
     * @param nkMax value
     */
    public void setNkMax(String nkMax) {
        this.nkMax = nkMax;
    }

    /**
     * 内控是否合格 （1合格 0不合格 2没报出 3未判）
     * @return value
     */
    public String getNkQualified() {
        return nkQualified;
    }

    /**
     * 内控是否合格 （1合格 0不合格 2没报出 3未判）
     * @param nkQualified value
     */
    public void setNkQualified(String nkQualified) {
        this.nkQualified = nkQualified;
    }

    /**
     * 交付下限
     * @return value
     */
    public String getJfMin() {
        return jfMin;
    }

    /**
     * 交付下限
     * @param jfMin value
     */
    public void setJfMin(String jfMin) {
        this.jfMin = jfMin;
    }

    /**
     * 交付上限
     * @return value
     */
    public String getJfMax() {
        return jfMax;
    }

    /**
     * 交付上限
     * @param jfMax value
     */
    public void setJfMax(String jfMax) {
        this.jfMax = jfMax;
    }

    /**
     * 交付是否合格（1合格 0不合格 2没报出 3未判）
     * @return value
     */
    public String getJfQualified() {
        return jfQualified;
    }

    /**
     * 交付是否合格（1合格 0不合格 2没报出 3未判）
     * @param jfQualified value
     */
    public void setJfQualified(String jfQualified) {
        this.jfQualified = jfQualified;
    }

    /**
     * 化学元素顺序号
     * @return value
     */
    public String getChemSeq() {
        return chemSeq;
    }

    /**
     * 化学元素顺序号
     * @param chemSeq value
     */
    public void setChemSeq(String chemSeq) {
        this.chemSeq = chemSeq;
    }

    /**
     * 不合格类型（0无   1下限不合格   2上限不合格）
     * @return value
     */
    public String getUnqualifiedType() {
        return unqualifiedType;
    }

    /**
     * 不合格类型（0无   1下限不合格   2上限不合格）
     * @param unqualifiedType value
     */
    public void setUnqualifiedType(String unqualifiedType) {
        this.unqualifiedType = unqualifiedType;
    }
}
